x2go client shared libraries: libQtSvg.so.4

Hello Fellowship of Suse !

i installed fresh 15.3 leap:

 uname -ar
Linux localhost.localdomain 5.3.18-57-default #1 SMP Wed Apr 28 10:54:41 UTC 2021 (ba3c2e9) x86_64 x86_64 x86_64 GNU/Linux

i installed x2goclient with x2go repo planned for 15.1:

http://packages.x2go.org/opensuse/15.1/

when i launch :

user@localhost:~> x2goclient 
x2goclient: error while loading shared libraries: libQtSvg.so.4: cannot open shared object file: No such file or directory

in fact, i wish to know line command zypper that gives packet wich libraries relies on, equivalent of fedora ‘yum whatprovides’ ?:sarcastic:

Thanks !

No qt4 related libs in Leap 15.3:

zypper wp libQtSvg.so.4
Command 'what-provides' is replaced by 'search --provides --match-exact'.
See 'help search' for all available options.
Loading repository data...
Reading installed packages...
No matching items found.

Here in Leap 15.2:

zypper wp libQtSvg.so.4
Command 'what-provides' is replaced by 'search --provides --match-exact'.
See 'help search' for all available options.
Loading repository data...
Reading installed packages...

S  | Name             | Summary                    | Type
---+------------------+----------------------------+--------
i+ | libqt4-x11       | Qt 4 GUI related libraries | package
   | libqt4-x11-32bit | Qt 4 GUI related libraries | package

Try the one from this Repo:
https://download.opensuse.org/repositories/X11:/RemoteDesktop:/x2go/openSUSE_Leap_15.3/

Thanks Sauerland.

it works !

Great thanks !

See my last post.